Bug 185708 - japanese/ebview: Fix build with clang
Summary: japanese/ebview: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-12 18:40 UTC by tkato432
Modified: 2014-01-25 13:20 UTC (History)
0 users

See Also:


Attachments
file.diff (5.70 KB, patch)
2014-01-12 18:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-01-12 18:40:07 UTC
- Fix build with clang
- Add LICENSE

New file:
files/patch-data__Makefile.in
files/patch-help__Makefile.in
files/patch-po__Makefile.in.in
Comment 1 Martin Wilke freebsd_committer 2014-01-19 14:25:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter service freebsd_committer 2014-01-19 14:25:02 UTC
Author: miwi
Date: Sun Jan 19 14:24:49 2014
New Revision: 340304
URL: http://svnweb.freebsd.org/changeset/ports/340304
QAT: https://qat.redports.org/buildarchive/r340304/

Log:
  - Fix build with clang
  - Add License
  
  PR:		185708
  Submitted by:	ports fury

Added:
  head/japanese/ebview/files/patch-data__Makefile.in   (contents, props changed)
  head/japanese/ebview/files/patch-help__Makefile.in   (contents, props changed)
  head/japanese/ebview/files/patch-po__Makefile.in.in   (contents, props changed)
Modified:
  head/japanese/ebview/Makefile   (contents, props changed)

Modified: head/japanese/ebview/Makefile
==============================================================================
--- head/japanese/ebview/Makefile	Sun Jan 19 14:23:36 2014	(r340303)
+++ head/japanese/ebview/Makefile	Sun Jan 19 14:24:49 2014	(r340304)
@@ -9,12 +9,16 @@ MASTER_SITES=	SF
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Electronic Book Viewer
 
-LIB_DEPENDS=	eb:${PORTSDIR}/japanese/eb
+LICENSE=	GPLv2 # (or later)
 
-CONFLICTS=	ja-ebview-gtk2-*
+LIB_DEPENDS=	libeb.so:${PORTSDIR}/japanese/eb
 
+OPTIONS_DEFINE=	DOCS
+
+CONFLICTS=	ja-ebview-gtk2-[0-9]*
+
+USES=		gettext gmake
 USE_GNOME=	imlib
-USE_GMAKE=	yes
 USE_AUTOTOOLS=	autoconf
 MAKE_ARGS=	ACLOCAL="${TRUE}" AUTOCONF="${TRUE}" AUTOMAKE="${TRUE}" \
 		AUTOHEADER="${TRUE}"
@@ -22,21 +26,16 @@ MAKE_ARGS=	ACLOCAL="${TRUE}" AUTOCONF="$
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-pre-build:
-.for file in src/dictheading.c
-	cd ${WRKSRC} && ${MV} ${file} ${file}.pre_iconv \
-		&& iconv -c -t ascii ${file}.pre_iconv > ${file} || ${TRUE}
-.endfor
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|// .*||' ${WRKSRC}/src/dictheading.c
 
 post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for i in ChangeLog README
-	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${STAGEDIR}${DOCSDIR})
 .endfor
-.endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Added: head/japanese/ebview/files/patch-data__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/ebview/files/patch-data__Makefile.in	Sun Jan 19 14:24:49 2014	(r340304)
@@ -0,0 +1,19 @@
+--- data/Makefile.in.orig
++++ data/Makefile.in
+@@ -46,13 +46,13 @@
+ 
+ install:
+ 	if test -r $(MKINSTALLDIRS); then \
+-		$(MKINSTALLDIRS) $(packagedatadir); \
++		$(MKINSTALLDIRS) $(DESTDIR)$(packagedatadir); \
+ 	else \
+-		$(top_srcdir)/mkinstalldirs $(packagedatadir); \
++		$(top_srcdir)/mkinstalldirs $(DESTDIR)$(packagedatadir); \
+ 	fi; \
+ 	data="$(data)"; \
+ 	for file in $$data; do \
+-		$(INSTALL_DATA) $(srcdir)/$$file $(packagedatadir)/$$file; \
++		$(INSTALL_DATA) $(srcdir)/$$file $(DESTDIR)$(packagedatadir)/$$file; \
+ 	done; \
+ 
+ # Define this as empty until I found a useful application.

Added: head/japanese/ebview/files/patch-help__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/ebview/files/patch-help__Makefile.in	Sun Jan 19 14:24:49 2014	(r340304)
@@ -0,0 +1,21 @@
+--- help/Makefile.in.orig
++++ help/Makefile.in
+@@ -49,15 +49,15 @@
+ 	dir="$(dir)"; \
+ 	for lang in $$dir; do \
+ 		if test -r $(MKINSTALLDIRS); then \
+-			$(MKINSTALLDIRS) $(packagedatadir)/help/$$lang; \
++			$(MKINSTALLDIRS) $(DESTDIR)$(packagedatadir)/help/$$lang; \
+ 		else \
+-			$(top_srcdir)/mkinstalldirs $(packagedatadir)/help/$$lang; \
++			$(top_srcdir)/mkinstalldirs $(DESTDIR)$(packagedatadir)/help/$$lang; \
+ 		fi; \
+ 	done; \
+ 	data="$(data)"; \
+ 	for lang in $$dir; do \
+ 		for file in $$data; do \
+-			$(INSTALL_DATA) $(srcdir)/$$lang/$$file $(packagedatadir)/help/$$lang/$$file; \
++			$(INSTALL_DATA) $(srcdir)/$$lang/$$file $(DESTDIR)$(packagedatadir)/help/$$lang/$$file; \
+ 		done; \
+ 	done; \
+ 

Added: head/japanese/ebview/files/patch-po__Makefile.in.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/ebview/files/patch-po__Makefile.in.in	Sun Jan 19 14:24:49 2014	(r340304)
@@ -0,0 +1,52 @@
+--- po/Makefile.in.in.orig
++++ po/Makefile.in.in
+@@ -111,9 +111,9 @@
+ install-data-no: all
+ install-data-yes: all
+ 	if test -r "$(MKINSTALLDIRS)"; then \
+-	  $(MKINSTALLDIRS) $(datadir); \
++	  $(MKINSTALLDIRS) $(DESTDIR)$(datadir); \
+ 	else \
+-	  $(SHELL) $(top_srcdir)/mkinstalldirs $(datadir); \
++	  $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(datadir); \
+ 	fi
+ 	@catalogs='$(CATALOGS)'; \
+ 	for cat in $$catalogs; do \
+@@ -125,27 +125,27 @@
+ 	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
+ 	  dir=$$destdir/$$lang/LC_MESSAGES; \
+ 	  if test -r "$(MKINSTALLDIRS)"; then \
+-	    $(MKINSTALLDIRS) $$dir; \
++	    $(MKINSTALLDIRS) $(DESTDIR)$$dir; \
+ 	  else \
+-	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
++	    $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$$dir; \
+ 	  fi; \
+ 	  if test -r $$cat; then \
+-	    $(INSTALL_DATA) $$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
+-	    echo "installing $$cat as $$dir/$(PACKAGE)$(INSTOBJEXT)"; \
++	    $(INSTALL_DATA) $$cat $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT); \
++	    echo "installing $$cat as $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
+ 	  else \
+-	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
++	    $(INSTALL_DATA) $(srcdir)/$$cat $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT); \
+ 	    echo "installing $(srcdir)/$$cat as" \
+-		 "$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
++		 "$(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
+ 	  fi; \
+ 	  if test -r $$cat.m; then \
+-	    $(INSTALL_DATA) $$cat.m $$dir/$(PACKAGE)$(INSTOBJEXT).m; \
+-	    echo "installing $$cat.m as $$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
++	    $(INSTALL_DATA) $$cat.m $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
++	    echo "installing $$cat.m as $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
+ 	  else \
+ 	    if test -r $(srcdir)/$$cat.m ; then \
+ 	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
+-		$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
++		$(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
+ 	      echo "installing $(srcdir)/$$cat as" \
+-		   "$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
++		   "$(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
+ 	    else \
+ 	      true; \
+ 	    fi; \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2014-01-19 14:25:46 UTC
Author: miwi
Date: Sun Jan 19 14:25:38 2014
New Revision: 340305
URL: http://svnweb.freebsd.org/changeset/ports/340305
QAT: https://qat.redports.org/buildarchive/r340305/

Log:
  - Fix build with clang
  
  PR:		185708
  Submitted by:	ports fury

Added:
  head/x11-toolkits/viewklass/files/
  head/x11-toolkits/viewklass/files/patch-VkProgram.C   (contents, props changed)
Modified:
  head/x11-toolkits/viewklass/Makefile   (contents, props changed)

Modified: head/x11-toolkits/viewklass/Makefile
==============================================================================
--- head/x11-toolkits/viewklass/Makefile	Sun Jan 19 14:24:49 2014	(r340304)
+++ head/x11-toolkits/viewklass/Makefile	Sun Jan 19 14:25:38 2014	(r340305)
@@ -11,15 +11,16 @@ DISTNAME=	ViewKlass-${PORTVERSION}
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	C++ Framework for Motif
 
-BUILD_DEPENDS=	imake:${PORTSDIR}/devel/imake
+LICENSE=	LGPL20 # (or later)
 
-USES=		motif
-GNU_CONFIGURE=	yes
+USES=		imake:env motif
+USE_AUTOTOOLS=	autoconf213
 
-NO_STAGE=	yes
 post-patch:
-	@${REINPLACE_CMD} -e 's/^CFLAGS=/CFLAGS+=/g ; \
-		s/^CXXFLAGS=/CXXFLAGS+=/g ; \
-		s/-g -Wall//g' ${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e \
+		'/^CFLAGS=/s|-g|@CFLAGS@| ; \
+		 /^CXXFLAGS=/s|-g|@CXXFLAGS@| ; \
+		 s| $$(exec_prefix)| $$(DESTDIR)$$(exec_prefix)| ; \
+		 s| $$(prefix)| $$(DESTDIR)$$(prefix)|' ${WRKSRC}/Makefile.in
 
 .include <bsd.port.mk>

Added: head/x11-toolkits/viewklass/files/patch-VkProgram.C
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-toolkits/viewklass/files/patch-VkProgram.C	Sun Jan 19 14:25:38 2014	(r340305)
@@ -0,0 +1,11 @@
+--- VkProgram.C.orig
++++ VkProgram.C
+@@ -34,6 +34,8 @@
+ #endif
+ = "$Id: VkProgram.C,v 1.8 2009/03/21 11:44:34 jostle Exp $";
+ 
++#include <cstdlib>
++
+ #include <Vk/VkProgram.h>
+ 
+ using namespace std;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2014-01-25 13:16:41 UTC
Author: miwi
Date: Sat Jan 25 13:16:31 2014
New Revision: 341033
URL: http://svnweb.freebsd.org/changeset/ports/341033
QAT: https://qat.redports.org/buildarchive/r341033/

Log:
  MFH: r340304
  
  - Fix build with clang
  - Add License
  
  PR:		185708
  Submitted by:	ports fury

Added:
  branches/2014Q1/japanese/ebview/files/patch-data__Makefile.in
     - copied unchanged from r340304, head/japanese/ebview/files/patch-data__Makefile.in
  branches/2014Q1/japanese/ebview/files/patch-help__Makefile.in
     - copied unchanged from r340304, head/japanese/ebview/files/patch-help__Makefile.in
  branches/2014Q1/japanese/ebview/files/patch-po__Makefile.in.in
     - copied unchanged from r340304, head/japanese/ebview/files/patch-po__Makefile.in.in
Modified:
  branches/2014Q1/japanese/ebview/Makefile   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/japanese/ebview/Makefile
==============================================================================
--- branches/2014Q1/japanese/ebview/Makefile	Sat Jan 25 13:14:50 2014	(r341032)
+++ branches/2014Q1/japanese/ebview/Makefile	Sat Jan 25 13:16:31 2014	(r341033)
@@ -9,12 +9,16 @@ MASTER_SITES=	SF
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Electronic Book Viewer
 
-LIB_DEPENDS=	eb:${PORTSDIR}/japanese/eb
+LICENSE=	GPLv2 # (or later)
 
-CONFLICTS=	ja-ebview-gtk2-*
+LIB_DEPENDS=	libeb.so:${PORTSDIR}/japanese/eb
 
+OPTIONS_DEFINE=	DOCS
+
+CONFLICTS=	ja-ebview-gtk2-[0-9]*
+
+USES=		gettext gmake
 USE_GNOME=	imlib
-USE_GMAKE=	yes
 USE_AUTOTOOLS=	autoconf
 MAKE_ARGS=	ACLOCAL="${TRUE}" AUTOCONF="${TRUE}" AUTOMAKE="${TRUE}" \
 		AUTOHEADER="${TRUE}"
@@ -22,21 +26,16 @@ MAKE_ARGS=	ACLOCAL="${TRUE}" AUTOCONF="$
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-pre-build:
-.for file in src/dictheading.c
-	cd ${WRKSRC} && ${MV} ${file} ${file}.pre_iconv \
-		&& iconv -c -t ascii ${file}.pre_iconv > ${file} || ${TRUE}
-.endfor
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|// .*||' ${WRKSRC}/src/dictheading.c
 
 post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for i in ChangeLog README
-	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${STAGEDIR}${DOCSDIR})
 .endfor
-.endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Copied: branches/2014Q1/japanese/ebview/files/patch-data__Makefile.in (from r340304, head/japanese/ebview/files/patch-data__Makefile.in)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/japanese/ebview/files/patch-data__Makefile.in	Sat Jan 25 13:16:31 2014	(r341033, copy of r340304, head/japanese/ebview/files/patch-data__Makefile.in)
@@ -0,0 +1,19 @@
+--- data/Makefile.in.orig
++++ data/Makefile.in
+@@ -46,13 +46,13 @@
+ 
+ install:
+ 	if test -r $(MKINSTALLDIRS); then \
+-		$(MKINSTALLDIRS) $(packagedatadir); \
++		$(MKINSTALLDIRS) $(DESTDIR)$(packagedatadir); \
+ 	else \
+-		$(top_srcdir)/mkinstalldirs $(packagedatadir); \
++		$(top_srcdir)/mkinstalldirs $(DESTDIR)$(packagedatadir); \
+ 	fi; \
+ 	data="$(data)"; \
+ 	for file in $$data; do \
+-		$(INSTALL_DATA) $(srcdir)/$$file $(packagedatadir)/$$file; \
++		$(INSTALL_DATA) $(srcdir)/$$file $(DESTDIR)$(packagedatadir)/$$file; \
+ 	done; \
+ 
+ # Define this as empty until I found a useful application.

Copied: branches/2014Q1/japanese/ebview/files/patch-help__Makefile.in (from r340304, head/japanese/ebview/files/patch-help__Makefile.in)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/japanese/ebview/files/patch-help__Makefile.in	Sat Jan 25 13:16:31 2014	(r341033, copy of r340304, head/japanese/ebview/files/patch-help__Makefile.in)
@@ -0,0 +1,21 @@
+--- help/Makefile.in.orig
++++ help/Makefile.in
+@@ -49,15 +49,15 @@
+ 	dir="$(dir)"; \
+ 	for lang in $$dir; do \
+ 		if test -r $(MKINSTALLDIRS); then \
+-			$(MKINSTALLDIRS) $(packagedatadir)/help/$$lang; \
++			$(MKINSTALLDIRS) $(DESTDIR)$(packagedatadir)/help/$$lang; \
+ 		else \
+-			$(top_srcdir)/mkinstalldirs $(packagedatadir)/help/$$lang; \
++			$(top_srcdir)/mkinstalldirs $(DESTDIR)$(packagedatadir)/help/$$lang; \
+ 		fi; \
+ 	done; \
+ 	data="$(data)"; \
+ 	for lang in $$dir; do \
+ 		for file in $$data; do \
+-			$(INSTALL_DATA) $(srcdir)/$$lang/$$file $(packagedatadir)/help/$$lang/$$file; \
++			$(INSTALL_DATA) $(srcdir)/$$lang/$$file $(DESTDIR)$(packagedatadir)/help/$$lang/$$file; \
+ 		done; \
+ 	done; \
+ 

Copied: branches/2014Q1/japanese/ebview/files/patch-po__Makefile.in.in (from r340304, head/japanese/ebview/files/patch-po__Makefile.in.in)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/japanese/ebview/files/patch-po__Makefile.in.in	Sat Jan 25 13:16:31 2014	(r341033, copy of r340304, head/japanese/ebview/files/patch-po__Makefile.in.in)
@@ -0,0 +1,52 @@
+--- po/Makefile.in.in.orig
++++ po/Makefile.in.in
+@@ -111,9 +111,9 @@
+ install-data-no: all
+ install-data-yes: all
+ 	if test -r "$(MKINSTALLDIRS)"; then \
+-	  $(MKINSTALLDIRS) $(datadir); \
++	  $(MKINSTALLDIRS) $(DESTDIR)$(datadir); \
+ 	else \
+-	  $(SHELL) $(top_srcdir)/mkinstalldirs $(datadir); \
++	  $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(datadir); \
+ 	fi
+ 	@catalogs='$(CATALOGS)'; \
+ 	for cat in $$catalogs; do \
+@@ -125,27 +125,27 @@
+ 	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
+ 	  dir=$$destdir/$$lang/LC_MESSAGES; \
+ 	  if test -r "$(MKINSTALLDIRS)"; then \
+-	    $(MKINSTALLDIRS) $$dir; \
++	    $(MKINSTALLDIRS) $(DESTDIR)$$dir; \
+ 	  else \
+-	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
++	    $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$$dir; \
+ 	  fi; \
+ 	  if test -r $$cat; then \
+-	    $(INSTALL_DATA) $$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
+-	    echo "installing $$cat as $$dir/$(PACKAGE)$(INSTOBJEXT)"; \
++	    $(INSTALL_DATA) $$cat $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT); \
++	    echo "installing $$cat as $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
+ 	  else \
+-	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
++	    $(INSTALL_DATA) $(srcdir)/$$cat $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT); \
+ 	    echo "installing $(srcdir)/$$cat as" \
+-		 "$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
++		 "$(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
+ 	  fi; \
+ 	  if test -r $$cat.m; then \
+-	    $(INSTALL_DATA) $$cat.m $$dir/$(PACKAGE)$(INSTOBJEXT).m; \
+-	    echo "installing $$cat.m as $$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
++	    $(INSTALL_DATA) $$cat.m $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
++	    echo "installing $$cat.m as $(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
+ 	  else \
+ 	    if test -r $(srcdir)/$$cat.m ; then \
+ 	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
+-		$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
++		$(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
+ 	      echo "installing $(srcdir)/$$cat as" \
+-		   "$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
++		   "$(DESTDIR)$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
+ 	    else \
+ 	      true; \
+ 	    fi; \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2014-01-25 13:18:28 UTC
Author: miwi
Date: Sat Jan 25 13:18:21 2014
New Revision: 341034
URL: http://svnweb.freebsd.org/changeset/ports/341034
QAT: https://qat.redports.org/buildarchive/r341034/

Log:
  MFH: r340305
  
  - Fix build with clang
  
  PR:		185708
  Submitted by:	ports fury

Added:
  branches/2014Q1/x11-toolkits/viewklass/files/
     - copied from r340305, head/x11-toolkits/viewklass/files/
Modified:
  branches/2014Q1/x11-toolkits/viewklass/Makefile   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/x11-toolkits/viewklass/Makefile
==============================================================================
--- branches/2014Q1/x11-toolkits/viewklass/Makefile	Sat Jan 25 13:16:31 2014	(r341033)
+++ branches/2014Q1/x11-toolkits/viewklass/Makefile	Sat Jan 25 13:18:21 2014	(r341034)
@@ -11,15 +11,16 @@ DISTNAME=	ViewKlass-${PORTVERSION}
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	C++ Framework for Motif
 
-BUILD_DEPENDS=	imake:${PORTSDIR}/devel/imake
+LICENSE=	LGPL20 # (or later)
 
-USES=		motif
-GNU_CONFIGURE=	yes
+USES=		imake:env motif
+USE_AUTOTOOLS=	autoconf213
 
-NO_STAGE=	yes
 post-patch:
-	@${REINPLACE_CMD} -e 's/^CFLAGS=/CFLAGS+=/g ; \
-		s/^CXXFLAGS=/CXXFLAGS+=/g ; \
-		s/-g -Wall//g' ${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e \
+		'/^CFLAGS=/s|-g|@CFLAGS@| ; \
+		 /^CXXFLAGS=/s|-g|@CXXFLAGS@| ; \
+		 s| $$(exec_prefix)| $$(DESTDIR)$$(exec_prefix)| ; \
+		 s| $$(prefix)| $$(DESTDIR)$$(prefix)|' ${WRKSRC}/Makefile.in
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"